You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     olg...@freebsd.org
Last committer: olg...@freebsd.org
Ident:          $FreeBSD: head/devel/elixir-timex-interval/Makefile 398982 
2015-10-10 09:35:51Z olgeni $
Log URL:        
http://beefy2.nyi.freebsd.org/data/93amd64-default/411129/logs/elixir-timex-interval-0.6.0.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=93amd64-default&build=411129
Log:

====>> Building devel/elixir-timex-interval
build started at Tue Mar 15 11:36:09 UTC 2016
port directory: /usr/ports/devel/elixir-timex-interval
building for: FreeBSD 93amd64-default-job-06 9.3-RELEASE-p38 FreeBSD 
9.3-RELEASE-p38 amd64
maintained by: olg...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/elixir-timex-interval/Makefile 398982 
2015-10-10 09:35:51Z olgeni $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 9.3-RELEASE-p38
UNAME_r=9.3-RELEASE-p38
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=elixir-timex-interval-0.6.0
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93amd64-default/ref/.p/pool
MASTERNAME=93amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
OSVERSION=903000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work  
HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work  
HOME=/wrkdirs/usr/ports/devel/elixir-timex-interval/work TMPDIR="/tmp" 
NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 
-pipe -fstack-protector -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/timex-interval"
EXAMPLESDIR="share/examples/timex-interval"
DATADIR="share/timex-interval"
WWWDIR="www/timex-interval"
ETCDIR="etc/timex-interval"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/timex-interval
DOCSDIR=/usr/local/share/doc/timex-interval
EXAMPLESDIR=/usr/local/share/examples/timex-interval
WWWDIR=/usr/local/www/timex-interval
ETCDIR=/usr/local/etc/timex-interval
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License APACHE20 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   elixir-timex-interval-0.6.0 depends on file: /usr/local/sbin/pkg - not 
found
===>   Installing existing package /packages/All/pkg-1.6.4_1.txz
[93amd64-default-job-06] Installing pkg-1.6.4_1...
[93amd64-default-job-06] Extracting pkg-1.6.4_1: .......... done
===>   elixir-timex-interval-0.6.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of elixir-timex-interval-0.6.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by elixir-timex-interval-0.6.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by elixir-timex-interval-0.6.0 for building
=> SHA256 Checksum OK for atabary-timex-interval-0.6.0_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by elixir-timex-interval-0.6.0 for building
===>  Extracting for elixir-timex-interval-0.6.0
=> SHA256 Checksum OK for atabary-timex-interval-0.6.0_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for elixir-timex-interval-0.6.0
===========================================================================
=======================<phase: build-depends  >============================
===>   elixir-timex-interval-0.6.0 depends on executable: elixir - not found
===>   Installing existing package /packages/All/elixir-1.2.3.txz
[93amd64-default-job-06] Installing elixir-1.2.3...
[93amd64-default-job-06] `-- Installing erlang-18.2.4,3...
[93amd64-default-job-06] `-- Extracting erlang-18.2.4,3: .......... done
[93amd64-default-job-06] Extracting elixir-1.2.3: .......... done
Message from erlang-18.2.4,3:
===========================================================================
Installation tips:

You can find an emacs mode for Erlang here:

    /usr/local/lib/erlang/lib/tools-2.8.2/emacs

===========================================================================
===>   elixir-timex-interval-0.6.0 depends on executable: elixir - found
===>   Returning to build of elixir-timex-interval-0.6.0
===>   elixir-timex-interval-0.6.0 depends on package: elixir-timex>=0 - not 
found
===>   Installing existing package /packages/All/elixir-timex-2.1.1.txz
[93amd64-default-job-06] Installing elixir-timex-2.1.1...
[93amd64-default-job-06] `-- Installing elixir-combine-0.6.0...
[93amd64-default-job-06] `-- Extracting elixir-combine-0.6.0: .......... done
[93amd64-default-job-06] `-- Installing elixir-httpoison-0.8.1...
[93amd64-default-job-06] |   `-- Installing erlang-hackney-1.5.1...
[93amd64-default-job-06] |   | `-- Installing erlang-idna-1.1.0...
[93amd64-default-job-06] |   | `-- Extracting erlang-idna-1.1.0: .......... done
[93amd64-default-job-06] |   | `-- Installing erlang-metrics-1.1.0...
[93amd64-default-job-06] |   | `-- Extracting erlang-metrics-1.1.0: .......... 
done
[93amd64-default-job-06] |   | `-- Installing erlang-mimerl-1.1.1...
[93amd64-default-job-06] |   | `-- Extracting erlang-mimerl-1.1.1: ......... 
done
[93amd64-default-job-06] |   | `-- Installing 
erlang-ssl_verify_hostname-1.0.6...
[93amd64-default-job-06] |   | `-- Extracting erlang-ssl_verify_hostname-1.0.6: 
........ done
[93amd64-default-job-06] |   | `-- Installing erlang-certifi-0.4.0...
[93amd64-default-job-06] |   | `-- Extracting erlang-certifi-0.4.0: .......... 
done
[93amd64-default-job-06] |   `-- Extracting erlang-hackney-1.5.1: .......... 
done
[93amd64-default-job-06] `-- Extracting elixir-httpoison-0.8.1: .......... done
[93amd64-default-job-06] `-- Installing elixir-tzdata-0.5.6...
[93amd64-default-job-06] `-- Extracting elixir-tzdata-0.5.6: .......... done
[93amd64-default-job-06] Extracting elixir-timex-2.1.1: .......... done
===>   elixir-timex-interval-0.6.0 depends on package: elixir-timex>=0 - found
===>   Returning to build of elixir-timex-interval-0.6.0
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for elixir-timex-interval-0.6.0
===========================================================================
=======================<phase: build          >============================
===>  Building for elixir-timex-interval-0.6.0
Compiled lib/interval.ex

== Compilation error on file lib/datetime.ex ==
** (ArgumentError) argument error
    (stdlib) :ets.lookup(:tzdata_current_release, :release_version)
    lib/tzdata/release_reader.ex:41: 
Tzdata.ReleaseReader.current_release_from_table/0
    lib/tzdata/release_reader.ex:13: Tzdata.ReleaseReader.simple_lookup/1
    lib/tzdata/release_reader.ex:5: Tzdata.ReleaseReader.zone_list/0
    lib/tzdata/release_reader.ex:22: 
Tzdata.ReleaseReader.periods_for_zone_or_link/1
    lib/tzdata.ex:137: Tzdata.periods/1
    lib/tzdata.ex:216: Tzdata.periods_for_time/3
    lib/timezone/timezone.ex:183: Timex.Timezone.resolve/2

*** [do-build] Error code 1

Stop in /usr/ports/devel/elixir-timex-interval.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to